import request from '@/utils/request'

// 列表
export function getList(params) {
  return request({
    url: '/user/search_peoples',
    method: 'get',
    params
  })
}

// 审核
export function toExamine(params) {
  return request({
    url: '/user/service_audit',
    method: 'get',
    params
  })
}

// 驳回原因
export function backReason() {
  return request({
    url: '/user/get_reason',
    method: 'get'
  })
}

// 添加驳回原因
export function publishBackReason(params) {
  return request({
    url: '/user/add_reason',
    method: 'get',
    params
  })
}

// 导出未进群名单
export function downloadPeoples(params) {
  return request({
    url: '/user/download_peoples',
    method: 'get',
    params
  })
}

// 获取客户
export function GetWareaCrown(params) {
  return request({
    url: '/user/GetWareaCrown',
    method: 'get',
    params
  })
}
// 获取客户
export function LookImg(params) {
  return request({
    url: '/user/LookImg',
    method: 'get',
    params
  })
}
// 获取分享人或上级批发商信息
export function getOtherInfo(data) {
  return request({
    url: '/user/getuserdetails',
    method: 'get',
    params: data
  })
}
// 获取客服审核数量
export function searchPeoples(params) {
  return request({
    url: '/user/search_peoples',
    method: 'get',
    params
  })
}
// 获取搜索的客户
export function GetUserInfos(data) {
  return request({
    url: '/GetUserInfos',
    method: 'get',
    params: data
  })
}
// 获取客户身份证号
export function GetCreNum(data) {
  return request({
    url: '/user/GetCreNum',
    method: 'get',
    params: data
  })
}
// 获取客户的邀请关系
export function GetNowHistory(data) {
  return request({
    url: '/user/GetNowHistory',
    method: 'get',
    params: data
  })
}
