import Layout from '@/layout'

export default [ // 所有的默认公有路由
  {
    path: '/',
    component: Layout,
    children: [
      {
        path: '/',
        component: () => import('@/views/audit/index'),
        name: 'teamZhengWei',
        meta: { title: '审核列表', icon: 'data', affix: true }
      }
    ]
  },
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: () => import('@/views/PageRedirect')
      }
    ]
  },
  {
    path: '/login',
    component: () => import('@/views/PageLogin'),
    hidden: true
  },
  {
    path: '/404',
    component: () => import('@/views/Page404'),
    hidden: true,
    meta: { title: '404' }
  }
]
